%define ocamlname rpm

Name: ocaml-%{ocamlname}
Version: 0.6.1
Release: 1
Summary: librpm binding for OCaml
URL: https://git.tilab.tuwien.ac.at/sw/%{name}
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System Environment/Libraries

Requires: rpm-devel

BuildRequires: rpm-devel
BuildRequires: ocaml >= 4.04.1
BuildRequires: ocaml-findlib
BuildRequires: ocaml-dune

%description
This is a small library providing access to librpm

%prep
%setup -q

%build 
dune build -p %{ocamlname}

%install 
dune install --destdir=%{buildroot}

%files
%doc doc/*
%{_libdir}/ocaml/%{ocamlname}
%{_libdir}/ocaml/stublibs/dll%{ocamlname}_stubs.so
